# Class PathUtils

java.lang.Object
org.apache.zookeeper.common.PathUtils

public class PathUtils extends Object
Path related utilities

## Constructor Summary

Constructors
Constructor
Description
`PathUtils()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getTopNamespace(String path)`
return the top namespace of a znode path
`static String`
`normalizeFileSystemPath(String path)`
Convert Windows path to Unix
`static void`
`validatePath(String path)`
Validate the provided znode path string
`static void`
`validatePath(String path, boolean isSequential)`
validate the provided znode path string

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathUtils

public PathUtils()

## Method Details

### validatePath

public static void validatePath(String path, boolean isSequential) throws IllegalArgumentException
validate the provided znode path string

Parameters:
  `path` - znode path string
  `isSequential` - if the path is being created with a sequential flag
Throws:
  `IllegalArgumentException` - if the path is invalid

### validatePath

public static void validatePath(String path) throws IllegalArgumentException
Validate the provided znode path string

Parameters:
  `path` - znode path string
Throws:
  `IllegalArgumentException` - if the path is invalid

### normalizeFileSystemPath

public static String normalizeFileSystemPath(String path)
Convert Windows path to Unix

Parameters:
  `path` - file path
Returns:
  converted file path

### getTopNamespace

public static String getTopNamespace(String path)
return the top namespace of a znode path

Parameters:
  `path` - znode path string
Returns:
  the top namespace. If not exist, return null